<template>
  <transition name="fade">
    <div class="loader" v-show="show">
      <breeding-rhombus-spinner :animation-duration="2000" :size="65" color="#f9b900" />
    </div>
  </transition>
</template>
<script>
  import mix from "../../main.js"
  const inBrowser = typeof window !== 'undefined'
  export default {
    data() {
      return {
        //active: true
      }
    },
    computed: {
      show() {
        if (inBrowser) {
          return window.VueSpinnerEventBus.ACTIVE
        } else {
          return false

        }
      }
    },
    methods: {
      /* start() {
        actuve = true
      },
      stop() {
        active = false
      } */

    },
    created() {

    },
    updated() {

    },

  };

</script>
<style>
  .loader {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999999999;
    overflow: hidden;
    padding: 40px;
    background: rgba(255, 255, 255, 0.7);
    -webkit-animation: fadein 2s;
    /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadein 2s;
    /* Firefox < 16 */
    -ms-animation: fadein 2s;
    /* Internet Explorer */
    -o-animation: fadein 2s;
    /* Opera < 12.1 */
    animation: fadein 2s;
  }

</style>
